com.sun.grid.jgdi.monitoring

## Class QueueInstanceSummaryOptions

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.BasicQueueOptions
  - - com.sun.grid.jgdi.monitoring.QueueInstanceSummaryOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class QueueInstanceSummaryOptions
      extends BasicQueueOptions
      implements java.io.Serializable

  Options for the QueueInstanceSummary algorithm
  See Also:
    `JGDIBase.getQueueInstanceSummary(com.sun.grid.jgdi.monitoring.QueueInstanceSummaryOptions)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInstanceSummaryOptions()` Creates a new instance of QueueInstanceSummaryOptions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getExplain()` Get the explain option.
    `JobStateFilter` | `getJobStateFilter()` Get the job state filter
    `UserFilter` | `getJobUserFilter()` Get the job user filter.
    `ParallelEnvironmentFilter` | `getPeFilter()` Equivalent to the `qstat -pe` option.
    `ResourceAttributeFilter` | `getResourceAttributeFilter()` Get the resource attribute filter.
    `boolean` | `isExplainSet()` Determine if the explain flag is set.
    `void` | `setExplain(char explain)` Set the explain character.
    `void` | `setJobStateFilter(JobStateFilter jobStateFilter)` Set the job state filter
    `void` | `setJobUserFilter(UserFilter jobUserFilter)` Set the job user filter.
    `void` | `setPeFilter(ParallelEnvironmentFilter peFilter)` set the pe filter
    `void` | `setResourceAttributeFilter(ResourceAttributeFilter resourceAttributeFilter)` Set the resource attribute filter.
    `void` | `setShowArrayJobs(boolean showArrayJobs)` Set the `showArrayJobs` option
    `void` | `setShowEmptyQueues(boolean showEmptyQueues)` Set the show empty queues flag
    `void` | `setShowExtendedSubTaskInfo(boolean showExtendedSubTaskInfo)` Set the extended sub task info flag
    `void` | `setShowFullOutput(boolean showFullOutput)` Set the `showFullOutput` option
    `void` | `setShowJobPriorities(boolean showJobPriorities)` set the `showJobPriorities` option
    `void` | `setShowJobUrgency(boolean showJobUrgency)` Set the job urgency flag
    `void` | `setShowPEJobs(boolean showPEJobs)` set the `showPEJobs` option
    `void` | `setShowRequestedResourcesForJobs(boolean showRequestedResourcesForJobs)` Set the requested resource for jobs flag.
    `boolean` | `showArrayJobs()` If the `showArrayJobs` option is set, array jobs are displayed verbosely.
    `boolean` | `showEmptyQueues()` Should empty queues be include into the `QueueInstanceSummary`.
    `boolean` | `showExtendedSubTaskInfo()` Should the extended sub task info be included into the QueueInstanceSummary
    `boolean` | `showFullOutput()` The `showFullOutput` option causes summary information on all queues to be returned along with the queued job list.
    `boolean` | `showJobPriorities()` Equivalent to the `qstat -pri` option.
    `boolean` | `showJobUrgency()` Determine if the job urgency should be included into the `QueueInstanceSummary`.
    `boolean` | `showPEJobs()` With `showPEJobs` option detailed information about parallel jobs is included into the result.
    `boolean` | `showRequestedResourcesForJobs()` Should the requested resource for jobs be included into the `QueueInstanceSummary`.
    `void` | `updateJobUserFilter(java.lang.String vals)` Update the content of the job user filter by adding values in vals
    `void` | `updatePeFilter(java.lang.String vals)` Update the content of the PE filter by adding values in vals
    `void` | `updateResourceAttributeFilter(java.lang.String vals)` Update the content of the resource attribute filter by adding values in vals

    - ### Methods inherited from class com.sun.grid.jgdi.monitoring.BasicQueueOptions

      `getQueueFilter, getQueueStateFilter, getQueueUserFilter, getResourceFilter, setQueueFilter, setQueueStateFilter, setQueueUserFilter, setResourceFilter, setShowAdditionalAttributes, showAdditionalAttributes, updateQueueFilter, updateQueueStateFilter, updateQueueUserFilter, updateResourceFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInstanceSummaryOptions

          public QueueInstanceSummaryOptions()

      Creates a new instance of QueueInstanceSummaryOptions

  - ### Method Detail

    - #### getResourceAttributeFilter

          public ResourceAttributeFilter getResourceAttributeFilter()

      Get the resource attribute filter.

      The CLI equivialent for the resource attribute filter is qstat -F (see man qstat(1)).

    - #### setResourceAttributeFilter

          public void setResourceAttributeFilter(ResourceAttributeFilter resourceAttributeFilter)

      Set the resource attribute filter.
      Parameters:
        `resourceAttributeFilter` - the resource attribute filter

    - #### updateResourceAttributeFilter

          public void updateResourceAttributeFilter(java.lang.String vals)

      Update the content of the resource attribute filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### isExplainSet

          public boolean isExplainSet()

      Determine if the explain flag is set.

      If the explain flag is set, the `QueueInstanceSummary` will include additional information for each job related to the job ticket policy scheme.

      The CLI equivialent for the explain flag is the `qstat -explain` option (see man qstat(1)).

      Returns:
        `true` if the explain set is set

    - #### getExplain

          public char getExplain()

      Get the explain option.

      Possible values:

      - 'c' displays the reason for the configuration ambiguous state of a queue instance.
      - 'a' shows the reason for the alarm state.
      - Suspend alarm state reasons will be displayed by 'A'.
      - 'E' displays the reason for a queue instance error state.

      The CLI equivialent for the explain option is `qstat -explain` (see man qstat(1))

    - #### setExplain

          public void setExplain(char explain)

      Set the explain character.
      Parameters:
        `explain` - the explain character.
      Throws:
        `java.lang.IllegalArgumentException` - if explain is not 'a', 'A', 'c' or 'E'
      See Also:
        `getExplain()`

    - #### showFullOutput

          public boolean showFullOutput()

      The `showFullOutput` option causes summary information on all queues to be returned along with the queued job list.

      The `showFullOutput` option is the equivalent to the `qstat -f` options

      Returns:
        the showFullOutput flag

    - #### setShowFullOutput

          public void setShowFullOutput(boolean showFullOutput)

      Set the `showFullOutput` option
      Parameters:
        `showFullOutput` - new value for the `showFullOutput` option
      See Also:
        `showFullOutput`

    - #### showArrayJobs

          public boolean showArrayJobs()

      If the `showArrayJobs` option is set, array jobs are displayed verbosely. By default, array jobs are grouped and all tasks with the same status (for pending tasks only) are included in a single object. The array job task id range field in the output specifies the corresponding set of tasks. The `showArrayJobs` option is the equivalent to the `qstat -g d` option.
      Returns:
        `showArrayJobs` option

    - #### setShowArrayJobs

          public void setShowArrayJobs(boolean showArrayJobs)

      Set the `showArrayJobs` option
      Parameters:
        `showArrayJobs` - the new value for the `showArrayJobs` option
      See Also:
        `showArrayJobs()`

    - #### showPEJobs

          public boolean showPEJobs()

      With `showPEJobs` option detailed information about parallel jobs is included into the result.

      The `showPEJobs` option is the equivalent to the `qstat -g t` option.

      Returns:
        the `showPEJobs` option

    - #### setShowPEJobs

          public void setShowPEJobs(boolean showPEJobs)

      set the `showPEJobs` option
      Parameters:
        `showPEJobs` - new value for the `showPEJobs` option
      See Also:
        `showPEJobs`

    - #### getPeFilter

          public ParallelEnvironmentFilter getPeFilter()

      Equivalent to the `qstat -pe` option.

      Returns:
        the pe filter

    - #### setPeFilter

          public void setPeFilter(ParallelEnvironmentFilter peFilter)

      set the pe filter
      Parameters:
        `peFilter` - the peFilter

    - #### updatePeFilter

          public void updatePeFilter(java.lang.String vals)

      Update the content of the PE filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### showJobPriorities

          public boolean showJobPriorities()

      Equivalent to the `qstat -pri` option.

      Returns:
        the show priorities flag

    - #### setShowJobPriorities

          public void setShowJobPriorities(boolean showJobPriorities)

      set the `showJobPriorities` option
      Parameters:
        `showJobPriorities` - the `showJobPriorities` option

    - #### getJobStateFilter

          public JobStateFilter getJobStateFilter()

      Get the job state filter

      The CLI equivialent for the job state filter is `qstat -s` return the job state filter

    - #### setJobStateFilter

          public void setJobStateFilter(JobStateFilter jobStateFilter)

      Set the job state filter
      Parameters:
        `jobStateFilter` - the job state filter
      See Also:
        `getJobStateFilter()`

    - #### showExtendedSubTaskInfo

          public boolean showExtendedSubTaskInfo()

      Should the extended sub task info be included into the QueueInstanceSummary

      The CLI equivialent for the extended sub task info is `qstat -t`

      Returns:
        `true` if the extended sub task info should be included

    - #### setShowExtendedSubTaskInfo

          public void setShowExtendedSubTaskInfo(boolean showExtendedSubTaskInfo)

      Set the extended sub task info flag
      Parameters:
        `showExtendedSubTaskInfo` - the extended sub task info flag
      See Also:
        `showExtendedSubTaskInfo`

    - #### getJobUserFilter

          public UserFilter getJobUserFilter()

      Get the job user filter. If set only those queues and jobs will be included into the `QueueInstanceSummary` which are assosiciated with the users in the `UserFilter`.

      The CLI equivialent for the job user filter is `qstat -u`

      Returns:
        the job user filter

    - #### setJobUserFilter

          public void setJobUserFilter(UserFilter jobUserFilter)

      Set the job user filter.
      Parameters:
        `jobUserFilter` - the job user filter
      See Also:
        `getJobUserFilter()`

    - #### updateJobUserFilter

          public void updateJobUserFilter(java.lang.String vals)

      Update the content of the job user filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### showJobUrgency

          public boolean showJobUrgency()

      Determine if the job urgency should be included into the `QueueInstanceSummary`.

      The CLI equivialent for the show job urgency flag is `qstat -urg`

      Returns:
        the show job urgency flag

    - #### setShowJobUrgency

          public void setShowJobUrgency(boolean showJobUrgency)

      Set the job urgency flag
      Parameters:
        `showJobUrgency` - the job urgency flag
      See Also:
        `showJobUrgency`

    - #### showEmptyQueues

          public boolean showEmptyQueues()

      Should empty queues be include into the `QueueInstanceSummary`.

      The CLI equivialent for this options is `qstat -ne`

      Returns:
        the show empty queues flag

    - #### setShowEmptyQueues

          public void setShowEmptyQueues(boolean showEmptyQueues)

      Set the show empty queues flag
      Parameters:
        `showEmptyQueues` - the show empty queues flag
      See Also:
        `showEmptyQueues`

    - #### showRequestedResourcesForJobs

          public boolean showRequestedResourcesForJobs()

      Should the requested resource for jobs be included into the `QueueInstanceSummary`.

      The CLI equivialent is `qstat -r`.

      Returns:
        the requested resource for jobs flag

    - #### setShowRequestedResourcesForJobs

          public void setShowRequestedResourcesForJobs(boolean showRequestedResourcesForJobs)

      Set the requested resource for jobs flag.
      Parameters:
        `showRequestedResourcesForJobs` - the requested resource for jobs flag
      See Also:
        `showRequestedResourcesForJobs`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.